@charset "utf-8";

html {
    color: #333;
    font-family: "Cactus Classical Serif", "Noto Serif KR", "Noto Serif JP", "Noto Serif HK", serif;
}

body {
    background: rgba(255, 255, 255, 0.2) url('img/bg.png');
    /* 使用圖片背景 */

    background-size: cover;
    /* 確保圖片覆蓋背景 */
    background-blend-mode: overlay;
    /* 改變融合模式 */
    background-attachment: fixed;
    /* 固定背景圖 */
    background-position: center;
    /* 背景圖片置中 */
}

h1,
h2,
h3,
h4,
h5,
h6 {
    margin: 0;
    font-weight: 700;
    color: #2c3e50;
    text-transform: none;
    letter-spacing: 1px;
    font-family: "Cactus Classical Serif", "Noto Serif KR", "Noto Serif JP", "Noto Serif HK", serif;
}

h1 {
    padding: 0rem 0rem;
    font-size: 2rem;
    font-weight: 700;
    margin-bottom: 20px;
    color: #2c3e50;
    display: inline-block;
    position: relative;
    z-index: 1;
    background: none;
    border-radius: 0;
    font-family: "Cactus Classical Serif", "Noto Serif KR", "Noto Serif JP", "Noto Serif HK", serif;
}

h2 {
    font-size: 1.8rem;
}

header {
    display: flex;
    align-items: center;
    padding: 20px;

}

#main-title {
    position: relative;
    text-align: center;
    top: 5px;
    padding: 0rem 0rem;
    font-size: 2rem;
    font-weight: 700;
    margin-bottom: 20px;
    color: #2c3e50;
    display: inline-block;
    z-index: 1;
    background: none;
    border-radius: 0;
}

#main-title span {
    display: inline-block;
}

#titlearea {
    margin-right: 2rem;
    display: flex;
    align-items: center;
}

/*.nav {
    display: inline-flex;
    justify-content: flex-end;
    gap: 10px;
    margin-left: auto;
    padding: 0;
    background: none;
    border: none;
    position: relative;
    z-index: 2;
}*/

.nav {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    justify-content: flex-end;
    gap: 10px;
    margin-left: auto;
    padding: 0;
    background: none;
    border: none;
    position: relative;
    z-index: 2;
}



.nav a {
    padding: 6px 8px;
    justify-content: flex-end;
    font-size: 1.2rem;
    font-weight: 600;
    background-color: #fcb69f;
    color: white;
    border-radius: 15px;
    cursor: pointer;
    text-align: center;
    min-width: 5rem;
    display: inline-block;
    margin: 5px 0;
    white-space: nowrap;
}

p {
    font-size: 1.5rem;
    font-family: "Cactus Classical Serif", "Noto Serif KR", "Noto Serif JP", "Noto Serif HK", serif;
}

section {
    max-width: 1200px;
    margin: 60px auto 10px;
    padding: 20px;
    background-color: rgba(255, 255, 255, 0.8);
    border-radius: 10px;
}


footer {
    margin-top: 50px;
    padding: 20px;
    border-radius: 15px;
    font-family: "Cactus Classical Serif", "Noto Serif KR", "Noto Serif JP", "Noto Serif HK", serif;
}

footer p {
    margin: 0;
    font-size: 1rem;
    color: #333;
}

.social-button {
    text-decoration: none;
    padding: 8px 12px;
    font-size: 1.2rem;
    font-weight: 600;
    min-width: 80px;
    width: auto;
    max-width: 100%;
    display: inline-block;
    margin: 5px 0;
    white-space: nowrap;
    text-align: center;
    border-radius: 15px;
    background-color: #fcb69f;
    color: #fff;
    cursor: pointer;
    transition: background-color 0.3s ease, color 0.3s ease;
    border: none;
}

.liaison-button {
    text-decoration: none;
    padding: 8px 12px;
    font-size: 1.2rem;
    font-weight: 600;
    min-width: 80px;
    width: auto;
    max-width: 100%;
    display: inline-block;
    margin: 5px 0;
    white-space: nowrap;
    text-align: center;
    border-radius: 15px;
    background-color: #fcb69f;
    color: #fff;
    cursor: pointer;
    transition: background-color 0.3s ease, color 0.3s ease;
    border: none;
}

.phonoa-button {
    text-decoration: none;
    padding: 8px 12px;
    font-size: 1.2rem;
    font-weight: 600;
    min-width: 80px;
    width: auto;
    max-width: 100%;
    display: inline-block;
    margin: 5px 0;
    white-space: nowrap;
    text-align: center;
    border-radius: 15px;
    background-color: #d63384;
    color: #ffffff;
    cursor: pointer;
    transition: background-color 0.3s ease, color 0.3s ease;
    border: none;

}

.asteria-button {
    text-decoration: none;
    padding: 8px 12px;
    font-size: 1.2rem;
    font-weight: 600;
    min-width: 80px;
    width: auto;
    max-width: 100%;
    display: inline-block;
    margin: 5px 0;
    white-space: nowrap;
    text-align: center;
    border-radius: 15px;
    background-color: #323278;
    color: #e6d296;
    cursor: pointer;
    transition: background-color 0.3s ease, color 0.3s ease;
    border: none;
}

.phonoa-button:hover {
    opacity: 0.8;
}

.social-button:hover {
    opacity: 0.8;
}


.main {
    padding: 10%;
}

.main div {
    min-height: 300px;
    background-color: transparent;
    padding: 20px;
    box-shadow: none;
    border-radius: 0;
}

.image-gallery img {
    border-radius: 0;
    transition: none;
    width: 100%;
}

.image-gallery img:hover {
    box-shadow: none;
}

.world-clocks {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
    gap: 15px;
    margin-top: 20px;
}

.clock {
    background-color: #ffe1c4;
    padding: 15px;
    border-radius: 10px;
    text-align: center;
    box-shadow: none;
    display: flex;
    flex-direction: column;
    justify-content: center;
    /* 中心對齊 */
    align-items: center;
    /* 中心對齊 */
    height: auto;
    /* 自動高度 */
}

.clock:hover {
    transform: translateY(-2px);
    box-shadow: 0 5px 5px rgba(0, 0, 0, 0.1);
}

.clock h3 {
    margin: 0;
    color: #2c3e50;
    word-wrap: break-word;
    overflow-wrap: break-word;
    text-align: center;
    font-weight: bold;
    flex-grow: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 5px;
    font-size: 1.2rem;
}

.clock-face {
    position: relative;
    width: 100px;
    height: 100px;
    border: 4px solid #2c3e50;
    border-radius: 50%;
    margin: 20px auto;
    background: white;
    aspect-ratio: 1 / 1;
    /* 強制維持縱橫比 */
}

.number {
    position: absolute;
    font-size: 0.8rem;
    color: #2c3e50;
    text-align: center;
    transform: translate(-50%, -50%);
}

.number1 {
    top: 15%;
    left: 73%;
}

.number2 {
    top: 27%;
    left: 85%;
}

.number3 {
    top: 50%;
    left: 90%;
}

.number4 {
    top: 73%;
    left: 85%;
}

.number5 {
    top: 85%;
    left: 73%;
}

.number6 {
    top: 90%;
    left: 50%;
}

.number7 {
    top: 85%;
    left: 27%;
}

.number8 {
    top: 73%;
    left: 15%;
}

.number9 {
    top: 50%;
    left: 10%;
}

.number10 {
    top: 27%;
    left: 15%;
}

.number11 {
    top: 15%;
    left: 27%;
}

.number12 {
    top: 10%;
    left: 50%;
}

.hand {
    position: absolute;
    top: 50%;
    left: 50%;
    transform-origin: 0% 50%;
    transform: rotate(-90deg);
    /* 初始化為指向12點方向 */
    transition: all 0.05s ease-in-out;
}

.hour-hand {
    width: 25%;
    height: 4px;
    background: #333;
}

.minute-hand {
    width: 40%;
    height: 3px;
    background: #333;
}

.second-hand {
    width: 45%;
    height: 2px;
    background: red;
}

.clock-center {
    width: 8px;
    height: 8px;
    background: #333;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border-radius: 50%;
}

.time {
    font-size: 1.6rem;
    color: #333;
    font-weight: bold;
    margin: 0;
}

.date {
    font-size: 1.3rem;
    /* 日期字體大小可以保持不變，或視需要略微調整 */
    color: #555;
    font-weight: normal;
    margin-top: 2px;
    /* 減小與星期之間的行間距 */
    line-height: 1;
    /* 調整行高以減小行間距 */
}

.day {
    font-size: 1.2rem;
    /* 設置星期字體大小 */
    color: #777;
    font-weight: normal;
    margin-top: 2px;
    /* 減小與上方元素的間距 */
    line-height: 1;
    /* 調整行高以減小與日期之間的行間距767 */

}


@media (max-width: 825px) {
    body {
        margin: 0 auto;
        padding: 10px;
        box-shadow: none;
        border-radius: 0;
        font-size: 1rem;
        font-family: "Cactus Classical Serif", "Noto Serif KR", "Noto Serif JP", "Noto Serif HK", serif;
    }

    header {
        align-items: flex-end;

    }

    #titlearea {
        display: flex;
        align-items: center;
        flex: 1;
        flex-direction: column;
    }

    .nav {
        display: grid;
        grid-template-columns: 1fr;
        width: 150px;
        height: 100%;
        align-items: flex-end;
        justify-content: space-between;
    }

    .nav a {
        padding: 6px 8px;
        font-size: 1.2rem;
        min-width: 80px;
        display: inline-block;
        margin: 3px 0;
    }

    h1 {
        font-size: 2rem;

    }

    .phonoa-button {
        font-size: 0.8rem;
    }

    .pdf-button {
        font-size: 1rem
    }

    .asteria-button {
        font-size: 0.8rem
    }


    .liaison-button {
        font-size: 0.8rem
    }

    .music-button {
        min-width: 6rem;
    }

    .image-gallery img {
        width: 100%;
        margin-bottom: 10px;
    }

    .main {
        padding: 2%;
    }

    .social-button {
        padding: 8px 10px;
        font-size: 1rem;
        min-width: 70px;
    }

    .clock {
        padding: 15px;
        height: auto;
        /* 自動高度 */
        justify-content: center;
        /* 垂直中心對齊 */
        align-items: center;
        /* 水平中心對齊 */
    }

    .clock-face {
        width: 100px;
        /* 保持寬度不變 */
        height: 100px;
        /* 保持高度不變 */
        aspect-ratio: 1 / 1;
        /* 保持圓形 */
    }

    .time {
        font-size: 1.35rem;

    }

    .date {
        font-size: 1rem;
    }

    .day {
        font-size: 0.9rem;
        /* 設置星期字體大小 */
        color: #777;
        font-weight: normal;
        margin-top: 2px;
        /* 減小與上方元素的間距 */
        line-height: 1;
        /* 調整行高以減小與日期之間的行間距 */
    }
}

.lunar-date {
    font-size: 0.8rem;
    color: #555;
    font-weight: normal;
    margin-top: 2px;
    line-height: 1;
}

h2 {
    font-size: 1.2rem;
}

h3 {
    font-size: 1rem
}

p {
    font-size: 1rem;
}

.clock h3 {
    font-size: 1.2rem
}

.title {
    flex-direction: column;
}